bpv6: export BPv = bpv6
bpv6: all

bpv7: export BPv = bpv7
bpv7: all

all:
	gmake -C ici $@
	gmake -C ici install
	gmake -C ltp $@
	gmake -C ltp install
	gmake -C dgr $@
	gmake -C dgr install
	gmake -C bssp $@
	gmake -C bssp install
	gmake -C $(BPv) $@
	gmake -C $(BPv) install
#	gmake -C tc $@
#	gmake -C tc install
	gmake -C nm $@
	gmake -C nm install
	gmake -C ams $@
	gmake -C ams install
	gmake -C cfdp $@
	gmake -C cfdp install
	gmake -C bss $@
	gmake -C bss install
	gmake -C dtpc $@
	gmake -C dtpc install
	gmake -C restart $@
	gmake -C restart install

clean:
	gmake -C ici $@
	gmake -C ltp $@
	gmake -C dgr $@
	gmake -C bssp $@
	gmake -C bpv6 $@
	gmake -C bpv7 $@
	gmake -C tc $@
	gmake -C nm $@
	gmake -C ams $@
	gmake -C cfdp $@
	gmake -C bss $@
	gmake -C dtpc $@
	gmake -C restart $@

test:
	cd tests
	./runtests

